package com.yonge.cooleshow.biz.dal.enums.coupon;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.toolset.base.enums.BaseEnum;

/**
 * 优惠券库存调整类型
 * @author: Eric
 * @date: 2022-03-30
 */
public enum CouponInventoryEnum implements BaseEnum<String, CouponInventoryEnum> {

    ADDITION("添加"),
    REDUCE("减少"),
    ;

    @EnumValue
    private String code;
    private String msg;

    CouponInventoryEnum(String msg) {
        this.code = this.name();
        this.msg = msg;
    }

    public String getMsg() {
        return this.msg;
    }

    public String getCode() {
        return code;
    }
}
